System Requirements

Embroidery i2 for Adobe Illustrator System Requirements

The following are the system requirement for Embroidery i2 for Adobe Illustrator and Corel Draw

For PC:
  • 64-bit: Adobe Illustrator CC 2018, CC 2017, CC 2015.3, CC 2015, CC 2014, CC, CS6.
  • 32-bit: Adobe Illustrator CC, CS6, CS3, CS4, CS5, CS5.1.
  • Microsoft Windows XP with Service Pack 2 or Windows 7, Windows Vista Home Premium, Business, Ultimate, or Enterprise (certified for 32-bit editions), Windows 8, Windows 8.1, Windows 10.
  • High speed internet connection
For Mac:
  • 64-bit: Adobe Illustrator CC 2018, CC 2017, CC 2015.3, CC 2015, CC 2014
  • 32-bit: Adobe Illustrator CS5, CS4, CS3
  • OS X v10.4.8 - 10.5 (Leopard) or later OS, and a multi-core Intel processor.
  • High speed internet connection

Important Note for Mac users: The Embroidery i2 plug-in will not work with the Power PC chip, which was used in older Macs; and Intel-based computer is required to run the software.

If you are unsure about which chip your computer uses, you can look it up by doing the following: click the Apple symbol on the menu bar, and select About this Mac from the list. The new window that opens gives the specifics on you chip, under the heading 'Processor'. If the processor has Intel in the name, it will work with Embroidery i2.

The wait is over! We are pleased to announce the launch of Embroidery iČ plug in for Adobe Illustrator in the USA. Click here to learn more